package parte04;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class TesteSimples {

	public static void main(String[] args) throws SQLException {
		Connection conn = null;

		try {
			// Carrega o driver do HSQLDB e conecta.
			Class.forName(Config.NOME_DRIVER);
			conn = DriverManager.getConnection(Config.BD_URL, 
					Config.BD_LOGIN, Config.BD_SENHA);		
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		
		// Cria o statement.		
		Statement stmt = conn.createStatement();
		
		// Monta o comando SQL.
		String sql = "INSERT INTO Gravadora (nome) VALUES " +
				"('Java Records');";
		
		// Executa o comando no banco de dados.
		int qtd = stmt.executeUpdate(sql);
		System.out.println(qtd + " linha(s) afetada(s)");
		
		// Fecha o statement e a conexão.
		stmt.close();
		conn.close();
	}

}
