/**
 * 
 */
package parte04;

import java.util.Collection;
import java.util.Iterator;

import parte04.dominio.Artista;
import parte04.persistencia.ArtistaDAO;
import parte04.persistencia.ArtistaDAOJDBC;

/**
 * @author vitor
 *
 */
public class TesteDAO {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ArtistaDAO dao = new ArtistaDAOJDBC();

		Artista artista = new Artista();
		artista.setNome("Men at Work");
		artista.setBanda(true);
		artista.setPais("Austrália");

		System.out.println("Salvando " + artista.getNome());
		dao.salvar(artista);
		
		Collection artistas = dao.obterPorPais("Brasil");
		for (Iterator iter = artistas.iterator(); iter.hasNext();) {
			artista = (Artista)iter.next();
			if (artista.getBanda().booleanValue()) {
				artista.setPais("BRASIL");
				System.out.println("Alterando " + artista.getNome());
				dao.salvar(artista);
			}
		}
	}

}
