/**
 * 
 */
package parte04.persistencia;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import parte04.Config;

/**
 * @author vitor
 *
 */
public class DAOBaseJDBC {
	protected static Connection conn;
	
	static {
		try {
			// Carrega o driver do HSQLDB e conecta.
			Class.forName(Config.NOME_DRIVER);
			conn = DriverManager.getConnection(Config.BD_URL, Config.BD_LOGIN, Config.BD_SENHA);		
		}
		catch (ClassNotFoundException e) {
			System.out.println("FATAL: driver não encontrado.");
			System.exit(1);
		}
		catch (SQLException e) {
			System.out.println("Erro SQL: " + e.getMessage());
			System.exit(1);
		}
	}
}
